#include <stdio.h>



#include "msph_token.h"

#define PRINTERR(ctx) \
	do { \
		fprintf(stderr, "msph_err: %d (%d)\n", (ctx).err, (ctx).err_info); \
	} while (0)


int
main(int argc, char **argv)
{
	int ret;
	char *path;
	struct msph_ctx ctx;
	struct msph_token_stream *s;


	if (argc != 2)
		return (-1);


	path = argv[1];

	ctx.err = 0;
	ctx.err_info = 0;

	if ((s = msph_token_stream_fopen(&ctx, path)) == NULL) {
		PRINTERR(ctx);
		return (-1);
	}


	ret = msph_token_stream_close(s);

	return (ret);
}
